

With CONFIG_MODULES=n this file does not compile because the type of
module->owner is not known.

Gven that card->owner is probably a null pointer when this driver is
statically linked, best thing to do is to just not poke around inside
card->owner at all.




 drivers/isdn/capi/kcapi.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/isdn/capi/kcapi.c~kcapi-build-fix drivers/isdn/capi/kcapi.c
--- 25/drivers/isdn/capi/kcapi.c~kcapi-build-fix	2003-10-18 15:51:36.000000000 -0700
+++ 25-akpm/drivers/isdn/capi/kcapi.c	2003-10-18 15:51:44.000000000 -0700
@@ -79,7 +79,6 @@ capi_ctr_get(struct capi_ctr *card)
 {
 	if (!try_module_get(card->owner))
 		return NULL;
-	DBG("Reserve module: %s", card->owner->name);
 	return card;
 }
 
@@ -87,7 +86,6 @@ static inline void
 capi_ctr_put(struct capi_ctr *card)
 {
 	module_put(card->owner);
-	DBG("Release module: %s", card->owner->name);
 }
 
 /* ------------------------------------------------------------- */

_
